[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#212248: gcc-3.3: build fail for libobj not including boehm-gc include files

Matthias Klose wrote:

 severity 212248 wishlist tags 212248 - patch tags 212248 - sid thanks

 Colin Watson writes:

> On Mon, Sep 22, 2003 at 10:57:41PM +0100, Matt Keenan wrote:
>> Package: gcc-3.3 Version: 1:3.3.2-0pre4 Severity: serious Tags:
>> sid patch Justification: no longer builds from source
>> the patch file debian/patches/libobjc.dpatch has an assumption
>> that you have the the gc header files installed. the code snippet
>> below shows how it should be (i.e. using the headers from the
>> source package). hope this helps :)

 besides the patch is not needed, the patch is incomplete. you still
 link with the installed gc library. the other question is, if the
 boehm-gc built for libgcj is suitable for libobjc.

 see http://gcc.gnu.org/ml/gcc/2003-02/msg01520.html and
 http://gcc.gnu.org/ml/gcc/2001-01/msg01019.html for further details.

> gcc-3.3 build-depends on libgc-dev, containing said headers. I
> don't see how this is more than a wishlist bug myself, particularly
> as it seems to be building fine on the autobuilders. Could you
> justify the serious severity?


ok i see now, didnt realise the extent of the problem. well feel free
to drop this bug to wishlist or to drop it entirely.. has the
build-depend for libgc-dev been checked? do you want me to check it?


Reply to: